Subject: Re: a.dns.int

From: [email-masked]
Date: Thu, 17 Feb 2000 10:50:22 +1100

Its been pointed out that I overlooked the code #ifdef YPKLUGE
	in ns_req.c.  Dan's description is not accurate however.  This
	code blocks domains that are syntactically identical to IPv4
	addresses.

	Mark
> 
> > Unfortunately, BIND already goes out of its way to return NXDOMAIN for
> > numeric TLDs. This is why I'm proposing a.dns.int: it's something that
> > can be made to work for everyone very easily, as soon as desired.
> 
> 	Dan, please stop spreading untruths.  It is obvious that you did
> 	not attempt to even create such a zone because it you had you
> 	would have found out that there are no impediments.
> 
> 	The following test zone loads without error as zone 1 on BIND
> 	8.2.2-P5.
> 
> 	Mark
> 
> $TTL 3600
> @	SOA	bsdi.dv.isc.org. marka.isc.org. (
> 		1 3600 1200 3600000 3600 )
> 	NS bsdi.dv.isc.org.
> 2.3.4	A	2.3.4.1
> --
> Mark Andrews, Nominum Inc. / Internet Software Consortium
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
--
Mark Andrews, Nominum Inc. / Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.

---

From: "D. J. Bernstein" <[email-masked]>
Date: 17 Feb 2000 02:37:20 -0000

To set the record straight here:

1. As I said, the BIND cache intercepts and nixes A queries for
dotted-decimal domain names, so delegating those names from the roots
wouldn't make them work everywhere. This is why I'm proposing a.dns.int.

2. As Mark said, BIND will pass along other queries for numeric TLDs.
But this fact has no relevance to the discussion. My proposal would
create numeric TLDs consisting entirely of dotted-decimal names.

3. As Mark illustrated, one can create a local numeric TLD under BIND.
But this fact has no relevance to the discussion. BIND is incapable of
loading billions of records.

Mark still owes me an apology.

---Dan

---

From: [email-masked]
Date: Thu, 17 Feb 2000 16:52:26 +1100

I hereby apologise for stating stating that Dan was spreading
	untruths about BIND going out of its way to return NXDOMAIN for
	numeric TLDs.  BIND does block a subset of these queries.

	Let this put an end to this.

	Mark